import { Video } from "@interfaces/video";

export interface Channel {
	author: string;
	authorId: string;
	authorUrl: string;
	authorBanners: AuthorBanner[];
	authorThumbnails: AuthorBanner[];
	subCount: number;
	totalViews: number;
	joined: number;
	autoGenerated: boolean;
	isFamilyFriendly: boolean;
	description: string;
	descriptionHtml: string;
	allowedRegions: string[];
	latestVideos: Video[];
	relatedChannels: RelatedChannel[];
}

export interface AuthorBanner {
	url: string;
	width: number;
	height: number;
	quality?: Quality;
}

export enum Quality {
	Default = "default",
	End = "end",
	High = "high",
	Maxres = "maxres",
	Maxresdefault = "maxresdefault",
	Medium = "medium",
	Middle = "middle",
	Sddefault = "sddefault",
	Start = "start"
}

export interface RelatedChannel {
	author: string;
	authorId: string;
	authorUrl: string;
	authorThumbnails: AuthorBanner[];
}
